# Install RPC portmapper service.
#
class portmap::server {

    case $operatingsystem {
        openbsd: {
            service { "portmap":
                ensure => running,
                enable => true,
            }
        }
        centos: {
            package { "portmap":
                ensure => installed,
            }
            service { "portmap":
                ensure  => running,
                enable  => true,
                require => Package["portmap"],
            }
        }
        fedora: {
            package { "rpcbind":
                ensure => installed,
            }
            service { "rpcbind":
                ensure  => running,
                enable  => true,
                require => Package["rpcbind"],
            }
        }
    }

}
